// Eg10_1View.h : interface of the CEg10_1View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EG10_1VIEW_H__CCFAECA3_9F5E_4DF0_B4C3_544F51013C60__INCLUDED_)
#define AFX_EG10_1VIEW_H__CCFAECA3_9F5E_4DF0_B4C3_544F51013C60__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CEg10_1Set;

class CEg10_1View : public CRecordView
{
protected: // create from serialization only
	CEg10_1View();
	DECLARE_DYNCREATE(CEg10_1View)

public:
	//{{AFX_DATA(CEg10_1View)
	enum { IDD = IDD_EG10_1_FORM };
	CEg10_1Set* m_pSet;
	//}}AFX_DATA

// Attributes
public:
	CEg10_1Doc* GetDocument();

		
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEg10_1View)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnMove(UINT nIDMoveCommand);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
   BOOL m_bAddMode;

	virtual ~CEg10_1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEg10_1View)
	afx_msg void OnRecordAdd();
	afx_msg void OnRecordDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Eg10_1View.cpp
inline CEg10_1Doc* CEg10_1View::GetDocument()
   { return (CEg10_1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EG10_1VIEW_H__CCFAECA3_9F5E_4DF0_B4C3_544F51013C60__INCLUDED_)
